Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.struct
Class LpVariableTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              lp.struct.LpStructureUnitTestUtils
                  lp.struct.LpVariableTest

All Implemented Interfaces:
  Test

    public class LpVariableTest

extends LpStructureUnitTestUtils

Contains tests of the `LpVariable` class.

Version:
  1.0.0
Author:
  Martin Slota
See Also:
  `LpVariable`

Constructor Summary
`LpVariableTest(String testName)` A default test case constructor.

Method Summary
`void` | `testConstructorExceptions()` Tests if the constructor throws the appropriate exceptions.
`private void` | `testEqual(LpVariable v1, LpVariable v2)` Asserts that the given variables are equal and that their hash codes are equal.
`void` | `testEqualsAndHashCode()` Tests the `LpVariable.equals(Object)` and `LpVariable.hashCode()` methods.
`private void` | `testNotEqual(LpVariable v1, LpVariable v2)` Asserts that the given variables are not equal.
`void` | `testToString()` Tests the `LpAbstractStructureUnit.toString()` method.

Methods inherited from class lp.struct.LpStructureUnitTestUtils
`testToString`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LpVariableTest

    public LpVariableTest(String testName)

  A default test case constructor.

  Parameters:
    `testName` - the name of the test case

Method Detail

### testConstructorExceptions

    public void testConstructorExceptions()

  Tests if the constructor throws the appropriate exceptions.

### testEqualsAndHashCode

    public void testEqualsAndHashCode()

  Tests the `LpVariable.equals(Object)` and `LpVariable.hashCode()` methods.

### testEqual

    private void testEqual(LpVariable v1,
                           LpVariable v2)

  Asserts that the given variables are equal and that their hash codes are equal.

  Parameters:
    `v1` - first tested variable
    `v2` - second tested variable

### testNotEqual

    private void testNotEqual(LpVariable v1,
                              LpVariable v2)

  Asserts that the given variables are not equal.

  Parameters:
    `v1` - first tested variable
    `v2` - second tested variable

### testToString

    public void testToString()

  Tests the `LpAbstractStructureUnit.toString()` method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD